cascading.flow.stream.duct

## Class DuctException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - cascading.flow.stream.duct.DuctException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  TrapException

    public class DuctException
    extends RuntimeException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DuctException(String message, Throwable throwable)`
`DuctException(Throwable throwable)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DuctException

    public DuctException(Throwable throwable)

#### DuctException

    public DuctException(String message,
                 Throwable throwable)